Method: projects.locations.collections.engines.sessions.removeContextFile

セッションからコンテキスト ファイルを削除します。

HTTP リクエスト


POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:removeContextFile

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
name

string

必須。セッションの名前。

形式: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "fileId": string,
  "metadata": {
    string: string,
    ...
  }
}
フィールド
fileId

string

必須。コンテキスト ファイルの ID。

metadata

map (key: string, value: string)

省略可。ファイルに関するクライアント提供のメタデータ。UploadSessionFileRequest に metadata マップをミラーリングします。キーは AIP-148 形式(英小文字、数字、-。ドットや DNS スタイルの名前空間接頭辞は使用不可)に従います。現在、Sobi ユーザーが提供したアーティファクト ブランチ(sobi-scope = SOBI_ARTIFACT)をディスパッチするために使用されています。削除はセッション コンテキストの外部で行われるため、sobi-agent-id、sobi-task-id、sobi-filename は URL 外で伝送されます。

レスポンスの本文

成功すると、レスポンスの本文は空になります。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳細については、Authentication Overview をご覧ください。

IAM 権限

name リソースに対する次の IAM 権限が必要です。

  • discoveryengine.sessions.removeContextFile

詳細については、IAM のドキュメントをご覧ください。